TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

StringMatch ( string rexp, string s ) -> list match-strings

### Description

<shortdoc> Return a list of substrings of the string `s' matching the regular expression pattern `rexp'. </shortdoc>

### Examples

StringMatch("fo+ \\(b.r\\)", "foo bar");

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack